## arca 1.0.2

=== debian/changelog ===
arca (1.0.2-0zneon+24.04+noble+release+build9) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:38:59 +0000

arca (1.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 May 2025 02:52:00 +0000

arca (1.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 02:45:10 +0000

arca (1.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 02:45:10 +0000

arca (0.5.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 02:45:07 +0000

arca (0.5.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 04 Dec 2023 02:45:06 +0000

arca (0.5.1-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 04:39:06 +0000

## arca 1.0.2+p24.04+vstable+git20250904.0959

=== debian/changelog ===
arca (1.0.2+p24.04+vstable+git20250904.0959-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 09:59:18 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/arca/([\d\.]+)/@PACKAGE@-([\d.]+).tar.xz

## arca 1.0.2+p24.04+vstable+git20250914.2018

=== debian/changelog ===
arca (1.0.2+p24.04+vstable+git20250914.2018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 20:18:01 +0000

## arca 1.0.2+p24.04+vstable+git20251019.0747

=== src/CMakeLists.txt ===
# Copyright 2018-2021 Camilo Higuita <milo.h@aol.com>
# Copyright 2018-2021 Nitrux Latinoamericana S.C.
#
# SPDX-License-Identifier: GPL-3.0-or-later

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_URL_CAST_FROM_STRING)

set(project_SRCS
    code/main.cpp
    code/arca.cpp)

qt_add_resources(project_QRC  assets/assets.qrc)

qt_add_executable(${PROJECT_NAME}
    ${project_SRCS}
    ${project_QRC})

qt_add_qml_module(${PROJECT_NAME} URI app.maui.arca
    NO_PLUGIN
    QML_FILES
    controls/main.qml
    controls/previewer/VideoPreview.qml
    controls/previewer/AudioPreview.qml
    controls/previewer/DocumentPreview.qml
    controls/previewer/ImagePreview.qml
    controls/previewer/FontPreviewer.qml
    controls/previewer/TextPreview.qml
    controls/previewer/FilePreviewer.qml
    controls/previewer/DefaultPreview.qml
    controls/previewer/FileProperties.qml)

target_compile_definitions(${PROJECT_NAME}
    PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
    MauiKit4
    MauiKit4::FileBrowsing
    MauiKit4::Archiver
    Qt6::Core
    Qt6::Quick
    Qt6::Widgets

    KF6::Archive
    KF6::CoreAddons
    KF6::I18n)

install(TARGETS ${PROJECT_NAME} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
arca (1.0.2+p24.04+vstable+git20251019.0747-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:47:16 +0000

=== debian/control ===
Source: arca
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libmauikitarchiver-dev,
               libmauikitfilebrowsing-dev,
               mauikit-dev,
               mauiman-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/arca
Vcs-Git: https://invent.kde.org/neon/neon-packaging/arca.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/arca
Maintainer: Neon CI <neon@kde.org>

Package: arca
Architecture: any
Depends: qml6-module-org-mauikit-calendar,
         qml6-module-org-mauikit-filebrowsing,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Maui Archiver for compressed files
 Create, open and extract file archives.

## arca 1.0.2+p24.04+vstable+git20251028.1003

=== debian/changelog ===
arca (1.0.2+p24.04+vstable+git20251028.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:03:29 +0000

## arca 1.0.2+p24.04+vstable+git20251123.2309

=== debian/changelog ===
arca (1.0.2+p24.04+vstable+git20251123.2309-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 23:09:00 +0000

## arca 1.0.2+p24.04+vstable+git20251231.0246

=== debian/changelog ===
arca (1.0.2+p24.04+vstable+git20251231.0246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:46:14 +0000

## arca 1.0.2+p24.04+vstable+git20260103.0530

=== debian/changelog ===
arca (1.0.2+p24.04+vstable+git20260103.0530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:30:15 +0000

## arca 1.0.2+p24.04+vstable+git20260105.1022

=== debian/changelog ===
arca (1.0.2+p24.04+vstable+git20260105.1022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:22:11 +0000

## arca 1.0.2+p24.04+vstable+git20260122.0654

=== debian/changelog ===
arca (1.0.2+p24.04+vstable+git20260122.0654-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 06:54:23 +0000

## arca 1.0.2+p24.04+vstable+git20260130.1031

=== debian/changelog ===
arca (1.0.2+p24.04+vstable+git20260130.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:31:35 +0000

## arca 1.0.2+p24.04+vstable+git20260216.0358

=== debian/changelog ===
arca (1.0.2+p24.04+vstable+git20260216.0358-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 03:58:07 +0000

## arca 1.0.2+p24.04+vstable+git20260219.0531

=== debian/changelog ===
arca (1.0.2+p24.04+vstable+git20260219.0531-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 05:31:35 +0000

## arca 1.0.2+p24.04+vunstable+git20251124.0758

=== debian/changelog ===
arca (1.0.2+p24.04+vunstable+git20251124.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 07:58:41 +0000

## arca 1.0.2+p24.04+vunstable+git20260122.0442

=== debian/changelog ===
arca (1.0.2+p24.04+vunstable+git20260122.0442-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 04:42:57 +0000

## arca 1.0.2+p24.04+vunstable+git20260130.1351

=== debian/changelog ===
arca (1.0.2+p24.04+vunstable+git20260130.1351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:51:03 +0000
